### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/deprecated/ecl-site-header-core/ecl-site-header-core.component.ts`

### Deprecated

Please use EclSiteHeaderComponent instead

### Extends

`EclSiteHeaderComponentBase`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-site-header-core`
styles | `:host { display: block; }`
templateUrl | `./ecl-site-header-core.component.html`

### Index

###### Properties
className eclLanguageComponent eclLoginComponent eclSearchComponent languageCode role
###### Methods
isGroup onECLogoClick getCssClasses
###### Inputs
group siteName class e2eAttr
###### Outputs
languageClick logoClick
###### HostBindings
class attr.role

### Constructor

`constructor(eclLanguageService: EclLanguageService, translateService: TranslateService)`
Parameters :
Name | Type | Optional
eclLanguageService | `EclLanguageService` | No
translateService | `TranslateService` | No

### Inputs

group
Type : `string`
Default value : `'2'`

siteName
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

languageClick
Type : `EventEmitter`

logoClick
Type : `EventEmitter`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header-core'`

attr.role
Type : `string`
Default value : `'banner'`

### Methods

isGroup
`isGroup(groupId: string)`
Parameters :
Name | Type | Optional
groupId | `string` | No
Returns : `boolean`

onECLogoClick
`onECLogoClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-site-header-core'`
Decorators : `@HostBinding('class')`

eclLanguageComponent
Type : `EclSiteHeaderLanguageComponentBase`
Decorators : `@ContentChild(EclSiteHeaderCoreLanguageComponent)`

eclLoginComponent
Type : `EclSiteHeaderLoginComponentBase`
Decorators : `@ContentChild(EclSiteHeaderCoreLoginComponent)`

eclSearchComponent
Type : `EclSiteHeaderSearchComponentBase`
Decorators : `@ContentChild(EclSiteHeaderCoreSearchComponent)`

languageCode
Type : `string`
Default value : `'en'`

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""